"use strict";

window.AdSDK = {
bannerAds: {},
interstitialAds: {},
videoAds: {},
init: function() {
var n = this;
GameSDK.registerCallback("ad_banner_onLoad", function(a) {
var e = n.bannerAds[a.adId];
e && e.onLoad && e.onLoad(a);
});
GameSDK.registerCallback("ad_banner_onError", function(a) {
var e = n.bannerAds[a.adId];
e && e.onError && e.onError(a);
});
GameSDK.registerCallback("ad_banner_onResize", function(a) {
var e = n.bannerAds[a.adId];
e && e.onResize && e.onResize(a);
});
GameSDK.registerCallback("ad_interstitial_onLoad", function(a) {
var e = n.interstitialAds[a.adId];
e && e.onLoad && e.onLoad(a);
});
GameSDK.registerCallback("ad_interstitial_onError", function(a) {
var e = n.interstitialAds[a.adId];
e && e.onError && e.onError(a);
});
GameSDK.registerCallback("ad_interstitial_onResize", function(a) {
var e = n.interstitialAds[a.adId];
e && e.onResize && e.onResize(a);
});
GameSDK.registerCallback("ad_rewardedVideo_onLoad", function(a) {
var e = n.videoAds[a.adId];
e && e.onLoad && e.onLoad(a);
});
GameSDK.registerCallback("ad_rewardedVideo_onError", function(a) {
var e = n.videoAds[a.adId];
e && e.onError && e.onError(a);
});
GameSDK.registerCallback("ad_rewardedVideo_onClose", function(a) {
var e = n.videoAds[a.adId];
e && e.onClose && e.onClose(a);
});
GameSDK.registerCallback("ad_onShow", function(a) {
if (1 == a.type) {
var e = n.bannerAds[a.adId];
e && e.mHandler && e.mHandler(a.success);
} else if (2 == a.type) {
var o = n.interstitialAds[a.adId];
o && o.mHandler && o.mHandler(a.success);
} else if (3 == a.type) {
var r = n.videoAds[a.adId];
r && r.mHandler && r.mHandler(a.success);
}
});
},
createBannerAd: function(n, a, e) {
var o = this, r = {
adId: n
}, i = {
adId: n,
bannerAdId: a,
position: e
};
GameSDK.callNative("ad_banner_create", i);
r.show = function() {
var a = {
adId: n
};
GameSDK.callNative("ad_banner_show", a);
return new Promise(function(a, e) {
o.bannerAds[n].mHandler = function(n) {
0 == n ? a() : e();
};
});
};
r.hide = function() {
var a = {
adId: n
};
GameSDK.callNative("ad_banner_hide", a);
};
r.destroy = function() {
var a = {
adId: n
};
o.bannerAds[n] = null;
GameSDK.callNative("ad_banner_destroy", a);
};
r.onLoad = function(n) {
this.onLoad = n;
};
r.onError = function(n) {
this.onError = n;
};
r.onResize = function(n) {
this.onResize = n;
};
r.offLoad = function(n) {
this.onLoad == n && (this.onLoad = null);
};
r.offError = function(n) {
this.onError == n && (this.onError = null);
};
r.offResize = function(n) {
this.onResize == n && (this.onResize = null);
};
o.bannerAds[n] = r;
return r;
},
createInterstitialAd: function(n, a, e) {
var o = this, r = {
adId: n
}, i = {
adId: n,
interstitialAdId: a,
style: e
};
GameSDK.callNative("ad_interstitial_create", i);
r.show = function() {
var a = {
adId: n
};
GameSDK.callNative("ad_interstitial_show", a);
return new Promise(function(a, e) {
o.interstitialAds[n].mHandler = function(n) {
0 == n ? a() : e();
};
});
};
r.hide = function() {
var a = {
adId: n
};
GameSDK.callNative("ad_interstitial_hide", a);
};
r.destroy = function() {
var a = {
adId: n
};
o.interstitialAds[n] = null;
GameSDK.callNative("ad_interstitial_destroy", a);
};
r.onLoad = function(n) {
this.onLoad = n;
};
r.onError = function(n) {
this.onError = n;
};
r.onResize = function(n) {
this.onResize = n;
};
r.offLoad = function(n) {
this.onLoad == n && (this.onLoad = null);
};
r.offError = function(n) {
this.onError == n && (this.onError = null);
};
r.offResize = function(n) {
this.onResize == n && (this.onResize = null);
};
o.interstitialAds[n] = r;
return r;
},
createRewardedVideoAd: function(n, a, e) {
var o = this, r = {
adId: n
}, i = {
adId: n,
videoAdId: a,
screenOrientation: e
};
GameSDK.callNative("ad_rewardedVideo_create", i);
r.show = function() {
var a = {
adId: n
};
GameSDK.callNative("ad_rewardedVideo_show", a);
return new Promise(function(a, e) {
o.videoAds[n].mHandler = function(n) {
0 == n ? a() : e();
};
});
};
r.hide = function() {
var a = {
adId: n
};
GameSDK.callNative("ad_rewardedVideo_hide", a);
};
r.destroy = function() {
var a = {
adId: n
};
o.videoAds[n] = null;
GameSDK.callNative("ad_rewardedVideo_destroy", a);
};
r.onLoad = function(n) {
this.onLoad = n;
};
r.onError = function(n) {
this.onError = n;
};
r.onClose = function(n) {
this.onClose = n;
};
r.offLoad = function(n) {
this.onLoad == n && (this.onLoad = null);
};
r.offError = function(n) {
this.onError == n && (this.onError = null);
};
r.offClose = function(n) {
this.onClose == n && (this.onClose = null);
};
o.videoAds[n] = r;
return r;
}
};