"use strict";

window.GameSDK = {
callBacks: {},
callNative: function(t, i) {
i = null == i ? "" : JSON.stringify(i);
loadRuntime().callCustomCommand({
success(t) {
console.log("success:", t);
},
fail(t) {
console.log("fail:", t);
}
}, t, i);
},
nativeCallback: function(t, i) {
var e = this.callBacks[t];
e && e(JSON.parse(i));
},
registerCallback: function(t, i) {
this.callBacks[t] = i;
},
setOnInitCB: function(t) {
this.registerCallback("onInit", t);
},
setOnRoomInfoCB: function(t) {
this.registerCallback("onRoomInfo", t);
},
setOnReadyCB: function(t) {
this.registerCallback("onReady", t);
},
setOnStartCB: function(t) {
this.registerCallback("onStart", t);
},
setOnMessageCB: function(t) {
this.registerCallback("onMessage", t);
},
setOnFinishCB: function(t) {
this.registerCallback("onFinish", t);
},
setOnAudioCB: function(t) {
this.registerCallback("onAudio", t);
},
setOnResumeCB: function(t) {
this.registerCallback("onResume", t);
},
setOnPauseCB: function(t) {
this.registerCallback("onPause", t);
},
setOnPayCB: function(t) {
this.registerCallback("onPay", t);
},
init: function(t) {
var i = {
gameId: t
};
this.callNative("init", i);
},
quit: function(t) {
var i = {
reason: t
};
this.callNative("quit", i);
},
getRoomInfo: function() {
this.callNative("getRoomInfo");
},
finish: function(t) {
var i = {
result: t
};
this.callNative("finish", i);
},
setOrientation: function(t) {
var i = {
orientation: t
};
this.callNative("setOrientation", i);
},
setAudio: function(t, i) {
var e = {
enable: t,
volume: i
};
this.callNative("setAudio", e);
},
setMic: function(t, i) {
var e = {
enable: t,
volume: i
};
this.callNative("setMic", e);
},
setLoadProgress: function(t) {
var i = {
progress: t
};
this.callNative("setLoadProgress", i);
},
hideLoadProgress: function() {
this.callNative("hideLoadProgress", {});
},
ready: function(t) {
var i = {
userData: t
};
this.callNative("ready", i);
},
broadcast: function(t, i) {
null == i && (i = 0);
var e = {
message: t,
includeMe: i
};
this.callNative("broadcast", e);
},
gameOver: function(t) {
var i = {
result: t
};
this.callNative("gameOver", i);
},
pay: function(t, i, e, a, n, s) {
var o = {
orderId: t,
goodsName: i,
goodsDesc: e,
orderAmount: a,
extension: n,
notifyURL: s
};
this.callNative("pay", o);
}
};